Create a Webhook

Create a webhook event

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

The following parameters are available to create a webhook for various USER.COMPANY_NAME events.

parameterdescriptionrequired
midThe merchant id assigned by USER.COMPANY_NAME or your merchant service provider (MSP)Yes
nameName of your eventYes
uriThe uri that will receive the webhook messageYes
eventWebhook event (see below)Yes
content_typeNo
header_keyNo
header_valueNo

Available Webhook Events:

  • sale.approved
  • sale.declined
  • auth.approved
  • auth.declined
  • capture.approved
  • capture.declined
  • refund.approved
  • refund.declined
  • void.approved
  • void.declined
  • dispute.new
  • dispute.won
  • dispute.lost
  • dispute.closed
  • deposit.new
  • boarded.approved
  • boarded.declined
JSON Example

The following JSON example provides test values to create a webhook. You can copy and replace these values in the transaction_data object in the Try it Out feature

"mid": "887728202",
"name": "MyWebhook",
"uri": "https://mywebhook.com",
"event": "sale.approved"

Response Codes

Body Params
transaction_data
object
required
Headers
string
required
length ≤ 24
Defaults to T6554252567241061980

The unique key identifying the app making this request.

NOTE: If testing use T6554252567241061980 for the Qor-App-Key header key.

string
required
Defaults to 01dffeb784c64d098c8c691ea589eb82

The Client key represents an authorized merchant account and is assigned by QorCommerce or your merchant service account provider.

NOTE: If testing use 01dffeb784c64d098c8c691ea589eb82 for the Qor-Client-Key header key.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json